NEWKEY(8)

NAME
newkey - create a new key in the publickey database

SYNOPSIS
newkey -h hostname
newkey -u username

DESCRIPTION
The newkey utility is normally run by the network administrator on the Network Interface Service (NIS) master machine in order to establish public keys for users and super-users on the network. These keys are needed for using secure RPC or secure NFS.

The newkey utility will prompt for the login password of the given username and then create a new public/secret key pair in /etc/publickey encrypted with the login password of the given user.

Use of this program is not required: users may create their own keys using chkey(1).

OPTIONS

-h hostname
    Create a new public key for the super-user at the given hostname. Prompts for the root password of the given hostname.

-u username
    Create a new public key for the given username. Prompts for the NIS password of the given username.

SEE ALSO
chkey(1), keylogin(1), publickey(5), keyserv(8)

NOTES
The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed.